petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPGetRhs

Gets the right-hand-side vector for the linear system to be solved.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetRhs(KSP ksp,Vec *r)

Not Collective

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

r -right-hand-side vector

### Keywords

get, right-hand-side, rhs

### See Also

KSPGetSolution(), KSPSolve(), KSP

### Level

developer

### Location

src/ksp/ksp/interface/itfunc.c

### Examples

src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/ksp/ksp/examples/tutorials/ex45.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages